--Strategic Resources

INSERT INTO Resources
	(Type)
VALUES
	('RESOURCE_ENERGY'),
	('RESOURCE_STEEL'),
	('RESOURCE_AMMUNITION'),
	('RESOURCE_EXPLOSIVES');

UPDATE Resources SET
	ResourceClassType = 'RESOURCECLASS_MODERN',
	PlacementOrder = 2,
	ConstAppearance = 100,
	RandApp1 = 10,
	RandApp2 = 10,
	MinAreaSize = 3,
	MaxLatitude = 90,
	Player = 75,
	ResourceUsage = 1
WHERE Type IN('RESOURCE_ENERGY','RESOURCE_STEEL','RESOURCE_AMMUNITION','RESOURCE_EXPLOSIVES'); 

--- Energy
UPDATE Resources SET
	Description = 'TXT_KEY_RESOURCE_ENERGY',
	Civilopedia = 'TXT_KEY_CIV5_RESOURCE_ENERGY_TEXT',
	Help = 'TXT_KEY_RESOURCE_ENERGY_HELP',
	ArtDefineTag = 'ART_DEF_RESOURCE_WHALE',
	IconString = '[ICON_RES_ENERGY]',
	PortraitIndex = 1,
	IconAtlas = 'AG_RESOURCES_ATLAS',
	TechReveal = 'TECH_STEAM_POWER',
	TechCityTrade = 'TECH_STEAM_POWER'
WHERE Type = 'RESOURCE_ENERGY';

--- Steel
UPDATE Resources SET
	Description = 'TXT_KEY_RESOURCE_STEEL',
	Civilopedia = 'TXT_KEY_CIV5_RESOURCE_STEEL_TEXT',
	Help = 'TXT_KEY_RESOURCE_STEEL_HELP',
	ArtDefineTag = 'ART_DEF_RESOURCE_WHALE',
	IconString = '[ICON_RES_STEEL]',
	PortraitIndex = 0,
	IconAtlas = 'AG_RESOURCES_ATLAS',
	TechReveal = 'TECH_STEAM_POWER',
	TechCityTrade = 'TECH_STEAM_POWER'
WHERE Type = 'RESOURCE_STEEL';

--- Ammunition
UPDATE Resources SET
	Description = 'TXT_KEY_RESOURCE_AMMUNITION',
	Civilopedia = 'TXT_KEY_CIV5_RESOURCE_AMMUNITION_TEXT',
	Help = 'TXT_KEY_RESOURCE_AMMUNITION_HELP',
	ArtDefineTag = 'ART_DEF_RESOURCE_WHALE',
	IconString = '[ICON_RES_AMMUNITION]',
	PortraitIndex = 3,
	IconAtlas = 'AG_RESOURCES_ATLAS',
	TechReveal = 'TECH_RIFLING',
	TechCityTrade = 'TECH_RIFLING'
WHERE Type = 'RESOURCE_AMMUNITION';

--- Explosives
UPDATE Resources SET
	Description = 'TXT_KEY_RESOURCE_EXPLOSIVES',
	Civilopedia = 'TXT_KEY_CIV5_RESOURCE_EXPLOSIVES_TEXT',
	Help = 'TXT_KEY_RESOURCE_EXPLOSIVES_HELP',
	ArtDefineTag = 'ART_DEF_RESOURCE_WHALE',
	IconString = '[ICON_RES_EXPLOSIVES]',
	PortraitIndex = 4,
	IconAtlas = 'AG_RESOURCES_ATLAS',
	TechReveal = 'TECH_DYNAMITE',
	TechCityTrade = 'TECH_DYNAMITE'
WHERE Type = 'RESOURCE_EXPLOSIVES';

--Changing Resource Requirements of Unit starting Industrial Era

DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_FIELD_GUN';

DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_ARTILLERY';

DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_WWI_TANK';

DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_TANK';

DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_CRUISER';

DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_BATTLESHIP';

DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_SUBMARINE';

DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_NUCLEAR_SUBMARINE';


INSERT INTO Unit_ResourceQuantityRequirements
	(UnitType,							ResourceType,         Cost)
VALUES
	('UNIT_RIFLEMAN',					'RESOURCE_AMMUNITION',       1),	
	('UNIT_ETHIOPIAN_MEHAL_SEFARI',		'RESOURCE_AMMUNITION',       1),	
	('UNIT_GATLINGGUN',					'RESOURCE_AMMUNITION',       1),	
	('UNIT_GREAT_WAR_INFANTRY',			'RESOURCE_AMMUNITION',       1),	
	('UNIT_BRAZILIAN_PRACINHA',			'RESOURCE_AMMUNITION',       1),	
	('UNIT_MACHINE_GUN',				'RESOURCE_AMMUNITION',       1),	
	('UNIT_INFANTRY',					'RESOURCE_AMMUNITION',       1),
	('UNIT_BAZOOKA',					'RESOURCE_AMMUNITION',       1),
	('UNIT_FIELD_GUN',					'RESOURCE_EXPLOSIVES',       1),
	('UNIT_ANTI_AIRCRAFT_GUN',			'RESOURCE_EXPLOSIVES',       1),
	('UNIT_ARTILLERY',					'RESOURCE_EXPLOSIVES',       1),
	('UNIT_MOBILE_SAM',					'RESOURCE_EXPLOSIVES',       1),
	('UNIT_HEAVY_ARTILLERY',			'RESOURCE_EXPLOSIVES',       1),
	('UNIT_IRONCLAD',					'RESOURCE_STEEL',			 1),
	('UNIT_DREADNOUGHT',				'RESOURCE_STEEL',			 1),
	('UNIT_SUBMERSIBLE',				'RESOURCE_STEEL',			 1),
	('UNIT_SUBMARINE',					'RESOURCE_STEEL',			 1),
	('UNIT_BATTLECRUISER',				'RESOURCE_STEEL',			 1),
	('UNIT_LIGHT_CRUISER',				'RESOURCE_STEEL',			 1),
	('UNIT_CRUISER',					'RESOURCE_STEEL',			 1),
	('UNIT_CARRIER',					'RESOURCE_STEEL',			 1),
	('UNIT_DESTROYER',					'RESOURCE_STEEL',			 1),
	('UNIT_BATTLESHIP',					'RESOURCE_STEEL',			 1),
	('UNIT_HEAVY_CRUISER',				'RESOURCE_STEEL',			 1),
	('UNIT_MISSILE_CRUISER',			'RESOURCE_STEEL',			 1),
	('UNIT_NUCLEAR_SUBMARINE',			'RESOURCE_STEEL',			 1),
	('UNIT_HEAVY_DESTROYER',			'RESOURCE_STEEL',			 1),
	('UNIT_NAVAL_HELICOPTER',			'RESOURCE_ALUMINUM',		 1),
	('UNIT_NAVAL_ATTACK_HELICOPTER',	'RESOURCE_ALUMINUM',		 1);	











